/*
 * Hand.h
 *
 *  Created on: Aug 18, 2014
 *      Author: andrey-tsb
 */

#ifndef NUITRACK_HAND_H_
#define NUITRACK_HAND_H_

#include <memory>

namespace tdv
{
namespace nuitrack
{

struct Hand
{
	typedef std::shared_ptr<Hand> Ptr;

	float x, y;
	bool click;
	int pressure;

	float xReal, yReal, zReal;
};

struct UserHands
{
    /*
     * User id
     */
    int userId;

    /*
     * User hands
     */
    Hand::Ptr leftHand, rightHand;

};

}
}

#endif /* NUITRACK_HAND_H_ */
