// Copyright 1998-2015 Epic Games, Inc. All Rights Reserved.

using UnrealBuildTool;
using System.IO;

public class Nuitrack: ModuleRules
{
	public Nuitrack(TargetInfo Target)
	{
		Type = ModuleType.External;

		string LibraryPath = Path.GetDirectoryName(RulesCompiler.GetModuleFilename(this.GetType().Name)) + "/Nuitrack";

		PublicIncludePaths.Add(LibraryPath + "/include");

		if (Target.Platform == UnrealTargetPlatform.Android)
		{
			string AndroidPath = LibraryPath + "/lib/Android/";

			PublicLibraryPaths.Add(AndroidPath+"armeabi-v7a");

			PublicAdditionalLibraries.Add("middleware");
			PublicAdditionalLibraries.Add("nuitrack");

			Definitions.Add("WITH_NUITRACK=1");
		}
	}
}
