/*
 * NuitrackModule.h
 *
 *  Created on: Apr 10, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_MODULE_H_
#define NUITRACK_MODULE_H_

#include <stdint.h>

namespace tdv
{
namespace nuitrack
{

class Nuitrack;

class Module
{
public:
	virtual ~Module() {}

private:
	virtual bool canUpdate() const = 0;
	virtual uint64_t getTimestamp() const = 0;

	friend class Nuitrack;
};

}
}

#endif /* NUITRACK_MODULE_H_ */
